Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/25/2024 in all areas

  1. This only assumes the horizontal and vertical lines are drawn in UCS, and not WCS: (defun c:vmirror nil (OnePointMirror '(00 10 00))) (defun c:hmirror nil (OnePointMirror '(10 00 00))) (defun OnePointMirror (dir / ss pt) (and (setq ss (ssget "_:L")) (setq pt (getpoint "\nSpecify base point <exit>: ")) (command "_mirror" ss "" "_non" pt "_non" (mapcar '+ dir pt) "No") ;; <--- Change to Yes to delete source object, or \\ to prompt user. (while (not (zerop (getvar "cmdactive"))) (command "")) ) (princ) ) And while this may be off the OP, this might be worth looking at as well: Quick Mirror.
    1 point
  2. PRESSPULL is way under utilized, and absolutely great functionality. Watch that Tutorial Link, you will be really glad you did!
    1 point
  3. Instead of using Extrude, use the PRESSPULL command.
    1 point
  4. One way to do this would be to draw a temporary construction line from endpoint to endpoint. Then you can draw a circle at the midpoint of that line and then delete the line. Also, working in 2D wireframe mode, instead of Xray mode, makes it easier to work without the faces getting in the way.
    1 point
  5. Try using this modified version of some super old code. I cleanup drawings with this daily. (defun c:endit (/ adoc c e file s) (if (and (= 1 (getvar 'dwgtitled)) (getvar 'writestat)) (progn (acad-push-dbmod) (setq e (getvar 'expert) c (getvar 'cmdecho) file (strcat (getvar 'dwgprefix) (getvar 'dwgname)) adoc (vla-get-activedocument (vlax-get-acad-object)) ) (dictremove (namedobjdict) "ACAD_DGNLINESTYLECOMP") (repeat 3 (setq s (ssget "_X" '((0 . "AEC*,*PROXY*")))) (progn (setvar 'qaflags 1) (vl-catch-all-apply 'vl-cmdf (list "_.explode" s "")) (setvar 'qaflags 0) ) ) (vla-save adoc) (setvar 'expert 5) (setvar 'cmdecho 0) (setvar 'tilemode 1) (if (= 0 (getvar 'worlducs)) (command "_.ucs" "_World") ) (command "_.-wblock" (strcat (getvar 'dwgprefix) (getvar 'dwgname)) "*") (setvar 'expert e) (setvar 'cmdecho c) (acad-pop-dbmod) (if (= 0 (getvar 'cmdactive)) (vl-cmdf "_.close" "_Yes") ) ) (alert "\nThis routine only works on drawings that have been saved or not readonly.") ) (princ) )
    1 point
  6. As usual, Lee Mac is way ahead of everyone else. Try this AutoLISP function.
    1 point
×
×
  • Create New...